---
title: Volcengine Lip Sync Lip-Sync-Video
url: https://runapi.ai/zh-CN/docs/api/volcengine-lip-sync/lip-sync-video.md
canonical: https://runapi.ai/zh-CN/docs/api/volcengine-lip-sync/lip-sync-video
locale: zh-CN
---

# Volcengine Lip Sync Lip-Sync-Video

## 概览

使用支持的模型创建异步文生视频任务。使用返回的任务 ID 查询状态，或提供 callback_url 接收终态投递。

### 快速开始

1. 创建 API Key，并将其设置为 RUNAPI_API_KEY。
2. 选择一个支持的模型，并发送与该模型 Schema 匹配的 POST 请求。
3. 保存返回的任务 ID，随后轮询到终态，或处理终态回调。

## 端点

POST /api/v1/volcengine_lip_sync/lip_sync_video

基础 URL: https://runapi.ai

API 版本: v1

身份验证: Authorization: Bearer YOUR_API_TOKEN

## 支持的模型

打开模型页可查看当前价格、限流和商业使用详情。

- [volcengine-lip-sync](/models/volcengine-lip-sync/volcengine-lip-sync)

## 请求 Schema

字段和允许的取值取决于所选模型。提供 callback_url 后，它会收到任务终态投递。

### volcengine-lip-sync

```json
{
  "align_audio": {
    "type": "boolean"
  },
  "align_audio_reverse": {
    "type": "boolean"
  },
  "callback_url": {
    "type": "string"
  },
  "enable_scene_detection": {
    "type": "boolean"
  },
  "enable_vocal_separation": {
    "type": "boolean"
  },
  "mode": {
    "enum": [
      "lite",
      "basic"
    ],
    "required": true,
    "type": "string"
  },
  "model": {
    "type": "string"
  },
  "source_audio_url": {
    "required": true,
    "type": "string"
  },
  "source_video_url": {
    "required": true,
    "type": "string"
  },
  "template_start_seconds": {
    "min": 0,
    "type": "number"
  }
}
```

## 创建已接受

HTTP 202 - POST /api/v1/volcengine_lip_sync/lip_sync_video

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## 轮询处理中

HTTP 200 - GET /api/v1/volcengine_lip_sync/lip_sync_video/:id

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## 轮询已完成

HTTP 200 - GET /api/v1/volcengine_lip_sync/lip_sync_video/:id

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "completed",
  "videos": [
    {
      "url": "https://file.runapi.ai/reference-video.mp4"
    }
  ]
}
```

## 轮询失败

HTTP 200 - GET /api/v1/volcengine_lip_sync/lip_sync_video/:id

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "error": "Task processing failed.",
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## 客户回调：已完成

HTTP 200 - POST callback_url

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "completed",
  "videos": [
    {
      "url": "https://file.runapi.ai/reference-video.mp4"
    }
  ]
}
```

## 客户回调：失败

HTTP 200 - POST callback_url

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "error": {
    "code": "generation_failed",
    "message": "Task processing failed."
  },
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## 错误

HTTP 400

```json
{
  "error": {
    "code": "invalid_request",
    "message": "A required request field is missing."
  }
}
```

## 生成的代码示例

直接使用 cURL，或安装所用语言的 SDK。每个示例都会提交本参考中经过验证的请求。

### curl

```curl
curl -X POST https://runapi.ai/api/v1/volcengine_lip_sync/lip_sync_video \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"model":"volcengine-lip-sync","mode":"lite","source_video_url":"https://file.runapi.ai/source-video.mp4","source_audio_url":"https://file.runapi.ai/narration.mp3"}'
```

## 相关指南

- [API 身份验证](/docs/guides/authentication)
- [Task API 快速开始](/docs/guides/task-api/quickstart)
